Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl2/widget_combo.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
widget_combo.c File Reference
`#include <SDL2/SDL.h>`
`#include "log.h"`
`#include "string_vector.h"`
`#include "colors.h"`
`#include "gui_id.h"`
`#include "gui_string.h"`
`#include "gui_tilespec.h"`
`#include "mapview.h"`
`#include "widget.h"`
`#include "widget_p.h"`

Go to the source code of this file.

## Data Structures

struct | combo_menu

## Functions

static int | combo_redraw (struct widget *combo)
static int | combo_menu_callback (struct widget *window)
static int | combo_menu_item_callback (struct widget *label)
void | combo_popup (struct widget *combo)
void | combo_popdown (struct widget *combo)
struct widget * | combo_new (SDL_Surface *background, struct gui_layer *dest, utf8_str *pstr, const struct strvec *vector, int length, Uint32 flags)

## Variables

static int(* | baseclass_redraw )(struct widget *widget) = NULL

## Function Documentation

## ◆ combo_menu_callback()

static int combo_menu_callback | ( | struct widget * | window | ) |

static

User interacted with the combo menu window.

Definition at line 106 of file widget_combo.c.

Referenced by combo_popup().

## ◆ combo_menu_item_callback()

static int combo_menu_item_callback | ( | struct widget * | label | ) |

static

User interacted with a single item of the combo menu.

Definition at line 121 of file widget_combo.c.

Referenced by combo_popup().

## ◆ combo_new()

struct widget * combo_new | ( | SDL_Surface * | background,
|  | struct gui_layer * | dest,
|  | utf8_str * | pstr,
|  | const struct strvec * | vector,
|  | int | length,
|  | Uint32 | flags
| ) |  |

Create a combo box widget.

Definition at line 235 of file widget_combo.c.

## ◆ combo_popdown()

void combo_popdown | ( | struct widget * | combo | ) |

Popdown the combo box widget.

Definition at line 212 of file widget_combo.c.

Referenced by combo_menu_item_callback(), combo_new(), video_mode_widget_destroy(), and widget_pressed_action().

## ◆ combo_popup()

void combo_popup | ( | struct widget * | combo | ) |

Popup the combo box widget.

Definition at line 138 of file widget_combo.c.

Referenced by widget_pressed_action().

## ◆ combo_redraw()

static int combo_redraw | ( | struct widget * | combo | ) |

static

Redraw the combo box widget.

Definition at line 49 of file widget_combo.c.

Referenced by combo_new().

## Variable Documentation

## ◆ baseclass_redraw

int(* baseclass_redraw) (struct widget *widget) | ( | struct widget * | widget | ) | = NULL

static

Definition at line 43 of file widget_combo.c.

Referenced by combo_new(), and combo_redraw().